﻿using Hotline.Share.Dtos.Order;
using MapsterMapper;
using Microsoft.AspNetCore.Mvc;
using XF.Domain.Exceptions;

namespace Hotline.Api.Controllers
{
    public class OrderRevocationController : BaseController
    {
        private readonly IMapper _mapper;
        public OrderRevocationController(IMapper mapper)
        {
            _mapper = mapper;
        }

        [HttpPost("add_order_revocation")]
        public async Task AddOrderRevocation([FromBody] OrderRevocationDto dto)
        {
            if (!dto.Ids.Any())
                throw UserFriendlyException.SameMessage("请选择需要撤销的记录！");

            if(string.IsNullOrEmpty(dto.RevocationReason))
                throw UserFriendlyException.SameMessage("撤销说明不能为空！");
        }
    }
}
